"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

var _toConsumableArray2 = _interopRequireDefault(require("@babel/runtime/helpers/toConsumableArray"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _react = require("react");

var _clsx7 = _interopRequireDefault(require("clsx"));

var _core = require("@material-ui/core");

var _regExp = require("../../../utils/regExp");

var _styles = _interopRequireDefault(require("./styles"));

var _jsxRuntime = require("react/jsx-runtime");

// Material UI
// Utils
// Styles
var Codes = function Codes(props) {
  var _clsx, _clsx6;

  var value = props.value,
      onChange = props.onChange,
      error = props.error,
      setError = props.setError,
      count = props.count,
      className = props.className,
      helperText = props.helperText,
      size = props.size,
      withSuccess = props.withSuccess,
      withLine = props.withLine,
      type = props.type;
  var classes = (0, _styles.default)();
  var inputRef = (0, _react.useRef)(null);

  var _useState = (0, _react.useState)([]),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      countCodes = _useState2[0],
      setCountCodes = _useState2[1];

  (0, _react.useEffect)(function () {
    setCountCodes([]);

    var _loop = function _loop(i) {
      setCountCodes(function (prev) {
        return [].concat((0, _toConsumableArray2.default)(prev), [i]);
      });
    };

    for (var i = 0; i < count; i += 1) {
      _loop(i);
    }
  }, [count]);

  var handleCode = function handleCode(e) {
    var value = e.target.value;

    if ((0, _regExp.validateNumber)(value)) {
      if (setError) setError(false);
      if (onChange) onChange(e);
    }
  };

  var handleInput = function handleInput() {
    var _inputRef$current, _inputRef$current2;

    return ((_inputRef$current = inputRef.current) === null || _inputRef$current === void 0 ? void 0 : _inputRef$current.focus()) || ((_inputRef$current2 = inputRef.current) === null || _inputRef$current2 === void 0 ? void 0 : _inputRef$current2.select());
  };

  (0, _react.useEffect)(function () {
    if (inputRef.current) handleInput();
  }, []);

  var handlePasteCode = /*#__PURE__*/function () {
    var _ref = (0, _asyncToGenerator2.default)( /*#__PURE__*/_regenerator.default.mark(function _callee() {
      var text, textNumbers;
      return _regenerator.default.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              _context.next = 2;
              return navigator.clipboard.readText();

            case 2:
              text = _context.sent;
              textNumbers = (0, _regExp.replaceNumbers)(text);

              if ((0, _regExp.validateNumber)(textNumbers)) {
                if (setError) setError(false);
                if (onChange) onChange({
                  target: {
                    value: textNumbers
                  }
                });
              }

            case 5:
            case "end":
              return _context.stop();
          }
        }
      }, _callee);
    }));

    return function handlePasteCode() {
      return _ref.apply(this, arguments);
    };
  }();

  var classesRoot = (0, _clsx7.default)((_clsx = {}, (0, _defineProperty2.default)(_clsx, classes.containerCodes, type === 'code'), (0, _defineProperty2.default)(_clsx, classes.containerNip, type === 'nip'), (0, _defineProperty2.default)(_clsx, className || '', !!className), _clsx));
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
      className: classes.content,
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        className: classesRoot,
        onClick: handleInput,
        children: countCodes === null || countCodes === void 0 ? void 0 : countCodes.map(function (_, index) {
          var _clsx2, _clsx3, _clsx4, _clsx5;

          return type === 'code' ? /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
            className: (0, _clsx7.default)((_clsx2 = {}, (0, _defineProperty2.default)(_clsx2, classes.contentBorderDefault, true), (0, _defineProperty2.default)(_clsx2, classes.contentBorderActive, value.length - 1 >= index), (0, _defineProperty2.default)(_clsx2, classes.contentBorderSmall, size === 'small'), (0, _defineProperty2.default)(_clsx2, classes.borderError, error), (0, _defineProperty2.default)(_clsx2, classes.borderSuccess, value.length >= index + 1 && !error && withSuccess), _clsx2)),
            children: /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
              className: classes.contentCode,
              onContextMenu: handlePasteCode,
              children: [index === value.length && withLine && /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
                className: (0, _clsx7.default)((_clsx3 = {}, (0, _defineProperty2.default)(_clsx3, classes.line, true), (0, _defineProperty2.default)(_clsx3, classes.lineError, error), (0, _defineProperty2.default)(_clsx3, classes.lineSuccess, !error && withSuccess), _clsx3))
              }), value[index] && /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
                component: "h4",
                className: (0, _clsx7.default)((_clsx4 = {}, (0, _defineProperty2.default)(_clsx4, classes.code, true), (0, _defineProperty2.default)(_clsx4, classes.codeError, error), _clsx4)),
                children: value[index]
              })]
            }, index)
          }) : /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
            className: (0, _clsx7.default)((_clsx5 = {}, (0, _defineProperty2.default)(_clsx5, classes.contentNip, true), (0, _defineProperty2.default)(_clsx5, classes.contentNipActive, value.length - 1 >= index), (0, _defineProperty2.default)(_clsx5, classes.contentError, error), _clsx5)),
            onContextMenu: handlePasteCode
          }, index);
        })
      }), helperText && /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
        className: (0, _clsx7.default)((_clsx6 = {}, (0, _defineProperty2.default)(_clsx6, classes.helperText, true), (0, _defineProperty2.default)(_clsx6, classes.helperTextError, error), _clsx6)),
        children: helperText
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)("input", {
      onClick: handleInput,
      ref: inputRef,
      type: "text",
      value: value,
      onChange: handleCode,
      className: classes.input,
      minLength: count || 6,
      maxLength: count || 6,
      style: {
        fontSize: 20
      },
      onBlur: handleInput,
      required: true
    })]
  });
};

Codes.defaultProps = {
  size: 'medium',
  setError: function setError() {},
  className: '',
  count: 6,
  withSuccess: false,
  withLine: false,
  type: 'code'
};
var _default = Codes;
exports.default = _default;