"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = require("react");

var _clsx9 = _interopRequireDefault(require("clsx"));

var _fi = require("react-icons/fi");

var _md = require("react-icons/md");

var _core = require("@material-ui/core");

var _Input = _interopRequireDefault(require("../Input"));

var _styles = _interopRequireDefault(require("./styles"));

var _jsxRuntime = require("react/jsx-runtime");

var _excluded = ["options", "value", "error", "classes", "variant", "placeholder", "label", "startAdornment"],
    _excluded2 = ["classesMenu", "select", "outlined", "icon", "iconOpen", "menuItemPlaceholder", "menuItem", "menuItemSelected"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var DropdownComponent = function DropdownComponent(props) {
  var _dropdownRef$current, _clsx, _clsx2, _clsx3, _clsx4, _clsx5, _clsx6;

  var options = props.options,
      value = props.value,
      error = props.error,
      classesProps = props.classes,
      variant = props.variant,
      placeholder = props.placeholder,
      label = props.label,
      startAdornment = props.startAdornment,
      rest = (0, _objectWithoutProperties2.default)(props, _excluded);

  var _ref = classesProps || {},
      classesMenu = _ref.classesMenu,
      classesSelect = _ref.select,
      classesOutlined = _ref.outlined,
      classesIcon = _ref.icon,
      classesIconOpen = _ref.iconOpen,
      classesMenuItemPlaceholder = _ref.menuItemPlaceholder,
      classesMenuItem = _ref.menuItem,
      classesMenuItemSelected = _ref.menuItemSelected,
      restClasses = (0, _objectWithoutProperties2.default)(_ref, _excluded2);

  var _useState = (0, _react.useState)(undefined),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      startAdornmentLocal = _useState2[0],
      setStartAdornmentLocal = _useState2[1];

  var dropdownRef = (0, _react.useRef)(null);
  var classes = (0, _styles.default)({
    widthDropdown: dropdownRef === null || dropdownRef === void 0 ? void 0 : (_dropdownRef$current = dropdownRef.current) === null || _dropdownRef$current === void 0 ? void 0 : _dropdownRef$current.offsetWidth,
    startAdornment: !!startAdornment
  });
  var secondary = variant !== 'standard';
  var newPlaceholder = secondary ? label || placeholder : placeholder;
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Input.default, _objectSpread(_objectSpread({
    label: !secondary ? label : null,
    value: value,
    variant: variant,
    error: error,
    innerRef: dropdownRef,
    select: true,
    SelectProps: {
      displayEmpty: true,
      renderValue: function renderValue(selected) {
        if ((selected === null || selected === void 0 ? void 0 : selected.length) === 0 && newPlaceholder) return newPlaceholder || '';
        var opt = options === null || options === void 0 ? void 0 : options.filter(function (opt) {
          return opt.value === value;
        })[0];
        setStartAdornmentLocal(opt === null || opt === void 0 ? void 0 : opt.startAdornment);
        return (opt === null || opt === void 0 ? void 0 : opt.label) || '';
      },
      MenuProps: {
        keepMounted: true,
        getContentAnchorEl: null,
        anchorOrigin: {
          vertical: 'bottom',
          horizontal: 'right'
        },
        transformOrigin: {
          vertical: 'top',
          horizontal: 'right'
        },
        classes: {
          paper: (0, _clsx9.default)((_clsx = {}, (0, _defineProperty2.default)(_clsx, classes.menu, !secondary), (0, _defineProperty2.default)(_clsx, classes.menuOutlined, secondary), (0, _defineProperty2.default)(_clsx, (classesMenu === null || classesMenu === void 0 ? void 0 : classesMenu.paper) || '', !!(classesMenu !== null && classesMenu !== void 0 && classesMenu.paper)), _clsx)),
          list: (0, _clsx9.default)((_clsx2 = {}, (0, _defineProperty2.default)(_clsx2, classes.menuList, true), (0, _defineProperty2.default)(_clsx2, classes.menuListOutlined, secondary), (0, _defineProperty2.default)(_clsx2, (classesMenu === null || classesMenu === void 0 ? void 0 : classesMenu.list) || '', !!(classesMenu !== null && classesMenu !== void 0 && classesMenu.list)), _clsx2))
        }
      },
      IconComponent: secondary ? _md.MdArrowDropDown : _fi.FiChevronDown,
      classes: _objectSpread(_objectSpread({}, restClasses), {}, {
        select: (0, _clsx9.default)((_clsx3 = {}, (0, _defineProperty2.default)(_clsx3, classes.select, true), (0, _defineProperty2.default)(_clsx3, classes.selectError, error), (0, _defineProperty2.default)(_clsx3, classesSelect || '', !!classesSelect), _clsx3)),
        outlined: (0, _clsx9.default)((_clsx4 = {}, (0, _defineProperty2.default)(_clsx4, classes.selectOutlined, true), (0, _defineProperty2.default)(_clsx4, classes.selectOutlinedError, error), (0, _defineProperty2.default)(_clsx4, classesOutlined || '', !!classesOutlined), _clsx4)),
        icon: (0, _clsx9.default)((_clsx5 = {}, (0, _defineProperty2.default)(_clsx5, classes.icon, true), (0, _defineProperty2.default)(_clsx5, classes.iconError, error), (0, _defineProperty2.default)(_clsx5, classesIcon || '', !!classesIcon), _clsx5)),
        iconOpen: (0, _clsx9.default)((_clsx6 = {}, (0, _defineProperty2.default)(_clsx6, classes.iconOpen, true), (0, _defineProperty2.default)(_clsx6, classes.iconOpenOutlined, secondary), (0, _defineProperty2.default)(_clsx6, classesIconOpen || '', !!classesIconOpen), _clsx6))
      })
    },
    startAdornment: startAdornmentLocal || startAdornment,
    classes: classesProps === null || classesProps === void 0 ? void 0 : classesProps.classesInput
  }, rest), {}, {
    children: [newPlaceholder && /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.MenuItem, {
      selected: true,
      style: {
        display: 'none'
      },
      className: (0, _clsx9.default)((0, _defineProperty2.default)({}, classesMenuItemPlaceholder || '', !!classesMenuItemPlaceholder)),
      value: "",
      children: newPlaceholder
    }), options.map(function (opt) {
      var _clsx8;

      return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_core.MenuItem, {
        value: opt.value,
        className: (0, _clsx9.default)((_clsx8 = {}, (0, _defineProperty2.default)(_clsx8, classes.selectedMenu, opt.value === value && !secondary), (0, _defineProperty2.default)(_clsx8, classes.selectedMenuOutlined, opt.value === value && secondary), (0, _defineProperty2.default)(_clsx8, classesMenuItem || '', !!classesMenuItem), (0, _defineProperty2.default)(_clsx8, classesMenuItemSelected || '', !!classesMenuItemSelected && opt.value === value), _clsx8)),
        children: [opt === null || opt === void 0 ? void 0 : opt.startAdornment, " ", opt.label]
      }, opt.value);
    })]
  }));
};

DropdownComponent.defaultProps = {
  variant: 'standard',
  helperText: null,
  error: false,
  options: []
};
var _default = DropdownComponent;
exports.default = _default;