import { ReactElement, JSXElementConstructor } from 'react';
import { SelectClassKey, MenuClassKey } from '@material-ui/core';
import { ClassNameMap } from '@material-ui/core/styles/withStyles';
import { IInput, IClasses as IClassesInput } from '../Input/interfaces';
interface IOption {
    value: string;
    label: string;
    startAdornment?: ReactElement<any, string | JSXElementConstructor<any>>;
    endAdornment?: ReactElement<any, string | JSXElementConstructor<any>>;
}
interface IClasses extends Partial<ClassNameMap<SelectClassKey>> {
    classesMenu?: Partial<ClassNameMap<MenuClassKey>>;
    menuItemPlaceholder?: string;
    menuItem?: string;
    menuItemSelected?: string;
    classesInput?: IClassesInput;
}
export interface IDropdown extends Omit<IInput, 'classes'> {
    options: IOption[];
    classes?: IClasses;
}
export interface IStylesWidth {
    widthDropdown: number | undefined;
    startAdornment: boolean;
}
export {};
