"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _core = require("@material-ui/core");

var _default = (0, _core.makeStyles)(function (_ref) {
  var palette = _ref.palette;
  return {
    default: {
      '&::placeholder': {
        color: "".concat(palette.primary.dark, " !important"),
        opacity: 1,
        letterSpacing: '-0.2px'
      }
    },
    helperText: {
      color: palette.primary.dark,
      fontSize: 12,
      marginLeft: 0
    },
    helperTextSuccess: {
      color: palette.success.main
    },
    helperTextError: {
      color: palette.error.main
    },
    underlineSuccess: {
      '&:after': {
        borderBottom: "1px solid ".concat(palette.success.main, " !important")
      },
      '&:hover:not(.Mui-disabled):before': {
        borderBottom: "1px solid ".concat(palette.success.main, " !important")
      }
    },
    underlineError: {
      '&:after': {
        borderBottom: "1px solid ".concat(palette.error.main, " !important")
      },
      '&:hover:not(.Mui-disabled):before': {
        borderBottom: "1px solid ".concat(palette.error.main, " !important")
      }
    },
    notchedSuccess: {
      border: "1px solid ".concat(palette.success.main, " !important")
    },
    notchedError: {
      border: "1px solid ".concat(palette.error.main, " !important")
    },
    iconMaterial: {
      width: 18,
      height: 18,
      cursor: 'pointer',
      color: palette.primary.dark
    },
    focusedSecondary: {
      '&:before': {
        borderBottom: 'none'
      }
    },
    focusedSelect: {
      '&:before': {
        borderColor: "".concat(palette.primary.light)
      }
    },
    focusedSelectOutlined: {
      '& > div': {// color: palette.primary.main
      }
    },
    notchedOutlined: {
      borderWidth: '1px !important'
    },
    label: {
      color: palette.primary.main
    },
    labelShrink: {
      color: palette.primary.dark
    },
    labelError: {
      color: palette.error.main
    },
    notchedSelectOutlined: {
      border: 'none'
    },
    adornedSelect: {
      '& span': {
        display: 'flex !important'
      },
      '& img': {
        width: 24,
        marginBottom: 2
      }
    },
    adornedSelectOutlined: {
      backgroundColor: "".concat(palette.secondary.main, " !important"),
      '& img': {
        width: 28,
        marginBottom: 0
      }
    },
    adornedSelectOutlinedError: {
      backgroundColor: "".concat(palette.error.light, " !important")
    },
    inputMedium: {
      fontSize: 16,
      minWidth: 250
    },
    inputSmall: {
      fontSize: 14,
      minWidth: 120
    },
    inputOutlinedSmall: {
      padding: '12px 14px'
    },
    inputLarge: {
      fontSize: 18,
      minWidth: 400
    },
    inputOutlinedLarge: {
      padding: '16px 18px'
    },

    /* Gradient input */
    rootGradient: {
      width: '100%',
      display: 'flex',
      flexDirection: 'column'
    },
    contentLabel: {
      width: '100%',
      display: 'flex',
      justifyContent: 'space-between',
      '& > p': {
        fontSize: 14,
        '& a': {
          textDecoration: 'underline'
        }
      }
    },
    labelGradient: {
      fontSize: 15,
      fontWeight: 'bold',
      marginBottom: 8,
      display: 'flex'
    },
    contentInput: {
      width: '100%',
      display: 'flex',
      position: 'relative',
      borderRadius: 8,
      background: 'linear-gradient( 90deg, #51C0DA, #A19DF7, #CE8BE7, #DACB9F, #B1D4C5)'
    },
    contentInputError: {
      background: 'red'
    },
    input: {
      width: '100%',
      height: 38,
      fontSize: 14,
      padding: '12px 14px',
      margin: 1,
      borderRadius: 7,
      border: 'none',
      backgroundColor: '#fff',
      transition: 'background-color 0.4s',
      '&:focus': {
        margin: 0,
        backgroundColor: '#E4EDF6',
        height: 40
      },
      '&::placeholder': {
        color: '#8696A8'
      }
    },
    inputIcon: {
      paddingRight: 40
    },
    icon: {
      position: 'absolute',
      top: 11,
      right: 10,
      width: 17,
      height: 17,
      cursor: 'pointer',
      color: palette.primary.main
    },
    contentHelper: {
      width: '100%',
      '& > p': {
        marginTop: 4,
        fontSize: 10
      }
    },
    contentHelperError: {
      color: 'red'
    },
    contentHelperTextRight: {
      display: 'flex',
      justifyContent: 'flex-end'
    }
  };
});

exports.default = _default;