"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _clsx3 = _interopRequireDefault(require("clsx"));

var _core = require("@material-ui/core");

var _FormControlLabel = _interopRequireDefault(require("../FormControlLabel"));

var _styles = _interopRequireDefault(require("./styles"));

var _jsxRuntime = require("react/jsx-runtime");

var _excluded = ["label", "classes", "error", "disabled", "formControlLabelProps", "iosStyle", "dark"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var SwitchComponent = function SwitchComponent(props) {
  var _classesProps$classes, _classesProps$classes2, _clsx, _classesProps$classes3, _classesProps$classes4, _clsx2;

  var label = props.label,
      classesProps = props.classes,
      error = props.error,
      disabled = props.disabled,
      formControlLabelProps = props.formControlLabelProps,
      iosStyle = props.iosStyle,
      dark = props.dark,
      rest = (0, _objectWithoutProperties2.default)(props, _excluded);
  var classes = (0, _styles.default)({
    dark: dark
  });
  var iosClasses = {
    root: classes.rootIOS,
    switchBase: !dark ? classes.switchBaseIOS : classes.switchBaseIOSDark,
    thumb: classes.thumbIOS,
    track: classes.trackIOS,
    checked: classes.checkedIOS
  };

  var normalClasses = _objectSpread(_objectSpread({}, classesProps === null || classesProps === void 0 ? void 0 : classesProps.classesSwitch), {}, {
    checked: (0, _clsx3.default)((_clsx = {}, (0, _defineProperty2.default)(_clsx, classes.switchError, error), (0, _defineProperty2.default)(_clsx, (classesProps === null || classesProps === void 0 ? void 0 : (_classesProps$classes = classesProps.classesSwitch) === null || _classesProps$classes === void 0 ? void 0 : _classesProps$classes.root) || '', !!(classesProps !== null && classesProps !== void 0 && (_classesProps$classes2 = classesProps.classesSwitch) !== null && _classesProps$classes2 !== void 0 && _classesProps$classes2.root)), _clsx)),
    track: (0, _clsx3.default)((_clsx2 = {}, (0, _defineProperty2.default)(_clsx2, classes.trackError, error), (0, _defineProperty2.default)(_clsx2, (classesProps === null || classesProps === void 0 ? void 0 : (_classesProps$classes3 = classesProps.classesSwitch) === null || _classesProps$classes3 === void 0 ? void 0 : _classesProps$classes3.track) || '', !!(classesProps !== null && classesProps !== void 0 && (_classesProps$classes4 = classesProps.classesSwitch) !== null && _classesProps$classes4 !== void 0 && _classesProps$classes4.track)), _clsx2))
  });

  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_FormControlLabel.default, _objectSpread({
    control: /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Switch, _objectSpread({
      color: "primary",
      classes: iosStyle ? iosClasses : normalClasses,
      disableRipple: true,
      focusVisibleClassName: iosStyle ? classes.focusVisibleIOS : ''
    }, rest)),
    classes: classesProps,
    label: label,
    disabled: disabled,
    error: error
  }, formControlLabelProps));
};

var _default = SwitchComponent;
exports.default = _default;