"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _react = require("react");

var _core = require("@material-ui/core");

var _clsx6 = _interopRequireDefault(require("clsx"));

var _fi = require("react-icons/fi");

var _Atoms = require("../../Atoms");

var _styles = _interopRequireDefault(require("./styles"));

var _jsxRuntime = require("react/jsx-runtime");

var Header = function Header(_ref) {
  var _clsx, _clsx2, _clsx3, _clsx4;

  var _ref$position = _ref.position,
      position = _ref$position === void 0 ? 'absolute' : _ref$position,
      isAuthenticated = _ref.isAuthenticated,
      childrenAuthenticated = _ref.childrenAuthenticated,
      childrenanonymous = _ref.childrenanonymous,
      _ref$childreMovil = _ref.childreMovil,
      childreMovil = _ref$childreMovil === void 0 ? [] : _ref$childreMovil,
      childreMovilStart = _ref.childreMovilStart,
      childreMovilEnd = _ref.childreMovilEnd,
      logo = _ref.logo,
      classes = _ref.classes;
  var styles = (0, _styles.default)();

  var _useTheme = (0, _core.useTheme)(),
      breakpoints = _useTheme.breakpoints;

  var _useState = (0, _react.useState)(null),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      anchorEl = _useState2[0],
      setAnchorEl = _useState2[1];

  var isMovil = (0, _core.useMediaQuery)(breakpoints.down('xs'));

  var handleClick = function handleClick(event) {
    setAnchorEl(event.currentTarget);
  };

  var handleClose = function handleClose() {
    setAnchorEl(null);
  };

  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_core.AppBar, {
    color: "primary",
    position: position,
    className: (0, _clsx6.default)((_clsx = {}, (0, _defineProperty2.default)(_clsx, classes === null || classes === void 0 ? void 0 : classes.container, !!(classes !== null && classes !== void 0 && classes.container)), (0, _defineProperty2.default)(_clsx, styles.container, true), _clsx)),
    children: [logo, /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Box, {
      className: (0, _clsx6.default)((_clsx2 = {}, (0, _defineProperty2.default)(_clsx2, classes === null || classes === void 0 ? void 0 : classes.children, !!(classes !== null && classes !== void 0 && classes.children)), (0, _defineProperty2.default)(_clsx2, styles.children, true), _clsx2)),
      children: !isMovil && /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Box, {
        children: isAuthenticated ? childrenAuthenticated : childrenanonymous
      })
    }), isMovil && /*#__PURE__*/(0, _jsxRuntime.jsxs)(_core.Box, {
      className: (0, _clsx6.default)((_clsx3 = {}, (0, _defineProperty2.default)(_clsx3, classes === null || classes === void 0 ? void 0 : classes.movil, !!(classes !== null && classes !== void 0 && classes.movil)), (0, _defineProperty2.default)(_clsx3, styles.movil, true), _clsx3)),
      children: [childreMovilStart, childreMovil.length >= 1 && /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_core.IconButton, {
          onClick: function onClick(e) {
            return anchorEl ? handleClose() : handleClick(e);
          },
          "aria-controls": "menu-anonymous",
          children: anchorEl ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_fi.FiX, {
            color: "#6F747A",
            size: "24"
          }) : /*#__PURE__*/(0, _jsxRuntime.jsx)(_fi.FiMenu, {
            color: "#6F747A",
            size: "24"
          })
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Atoms.Menu, {
          id: "menu-anonymous",
          anchorEl: anchorEl,
          open: Boolean(anchorEl),
          onClose: handleClose,
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Box, {
            className: (0, _clsx6.default)((_clsx4 = {}, (0, _defineProperty2.default)(_clsx4, classes === null || classes === void 0 ? void 0 : classes.movilItems, !!(classes !== null && classes !== void 0 && classes.movilItems)), (0, _defineProperty2.default)(_clsx4, styles.movilItems, true), _clsx4)),
            children: childreMovil === null || childreMovil === void 0 ? void 0 : childreMovil.map(function (children) {
              var _clsx5;

              return /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.MenuItem, {
                onClick: children === null || children === void 0 ? void 0 : children.onClick,
                className: (0, _clsx6.default)((_clsx5 = {}, (0, _defineProperty2.default)(_clsx5, classes === null || classes === void 0 ? void 0 : classes.movilItem, !!(classes !== null && classes !== void 0 && classes.movilItem)), (0, _defineProperty2.default)(_clsx5, styles.movilItem, true), _clsx5)),
                children: children.name
              }, children.name);
            })
          })
        })]
      }), childreMovilEnd]
    })]
  });
};

var _default = Header;
exports.default = _default;