"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _core = require("@material-ui/core");

var _default = (0, _core.makeStyles)(function (_ref) {
  var palette = _ref.palette,
      breakpoints = _ref.breakpoints;
  var isLight = palette.type === 'light';
  var shadowFirst = isLight ? 'rgba(134, 150, 168, 0.5)' : 'rgb(66 66 66 / 50%)';
  var shadowSecond = isLight ? 'rgba(134, 150, 168, 0.25)' : 'rgb(36 40 45 / 50%)';
  return {
    snackbarRoot: {
      zIndex: 1500000001
    },
    root: (0, _defineProperty2.default)({
      width: '90%',
      boxShadow: "0 10px 38px -10px ".concat(shadowFirst, ", 0 10px 10px -10px ").concat(shadowSecond),
      borderRadius: 10,
      border: '1px solid transparent',
      transform: 'matrix(-1, 0, 0, 1, 0, 0)',
      minHeight: 60,
      padding: '0 30px',
      display: 'flex',
      alignItems: 'center',
      fontSize: 14,
      fontWeight: 500,
      fontStretch: 'normal',
      fontStyle: 'normal',
      lineHeight: 'normal',
      letterSpacing: 'normal',
      textAlign: 'center',
      color: '#FFFFFF',
      position: 'relative'
    }, breakpoints.up('sm'), {
      width: 'max-content',
      maxWidth: 560
    }),
    rootExchange: (0, _defineProperty2.default)({
      width: '90%',
      backgroundColor: isLight ? '#F7F9FB' : '#232D3A',
      boxShadow: isLight ? '0px 2px 4px rgba(0, 0, 0, 0.1)' : '0px 2px 4px rgba(0, 0, 0, 0.5)',
      borderRadius: '2px',
      padding: '15px 10px',
      display: 'grid',
      gridTemplateColumns: 'max-content 1fr max-content',
      alignItems: function alignItems(_ref2) {
        var description = _ref2.description;
        return description === '' ? 'center' : 'flex-start';
      }
    }, breakpoints.up('sm'), {
      width: 'max-content',
      maxWidth: 350
    }),
    container: {
      display: 'grid',
      gap: '8px',
      margin: '0 15px'
    },
    title: {
      fontSize: 15,
      lineHeight: '16px',
      display: 'flex',
      alignItems: 'center',
      letterSpacing: '0.273px',
      color: function color(_ref3) {
        var exchange = _ref3.exchange;
        return exchange ? palette.text.primary : '#fff';
      },
      fontWeight: 500,
      textAlign: 'justify'
    },
    description: {
      fontSize: 13,
      lineHeight: '16px',
      letterSpacing: '0.234px',
      color: '#ADC9F1',
      textAlign: 'justify'
    },
    fiX: {
      padding: 'unset !important',
      minWidth: 'unset !important'
    },
    anchorOriginTopCenter: {
      top: 48
    },
    info: {
      backgroundColor: palette.info.main
    },
    warning: {
      backgroundColor: palette.warning.main
    },
    success: {
      backgroundColor: palette.success.main
    },
    error: {
      backgroundColor: palette.error.main
    }
  };
});

exports.default = _default;