"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.zIndex = exports.typography = exports.alerts = void 0;
var alerts = {
  success: {
    main: '#49CC68'
  },
  error: {
    main: '#FC4D64'
  },
  info: {
    main: '#57BDD9'
  },
  warning: {
    main: '#FD830E'
  }
};
exports.alerts = alerts;
var fontFamily = '"DINPro", "Helvetica", "Arial", sans-serif';
var typography = {
  htmlFontSize: 16,
  fontFamily: fontFamily,
  fontSize: 14,
  fontWeightLight: 300,
  fontWeightRegular: 400,
  fontWeightMedium: 500,
  fontWeightBold: 700,
  h1: {
    fontFamily: fontFamily,
    fontSize: '2rem',
    fontStretch: 'normal',
    fontStyle: 'normal',
    lineHeight: 'normal',
    letterSpacing: 'normal'
  },
  h2: {
    fontFamily: fontFamily,
    fontSize: '1.5rem',
    fontStretch: 'normal',
    fontStyle: 'normal',
    lineHeight: 'normal',
    letterSpacing: 'normal'
  },
  h3: {
    fontFamily: fontFamily,
    fontSize: '1.125rem',
    fontStretch: 'normal',
    fontStyle: 'normal',
    lineHeight: 1.09,
    letterSpacing: -0.4
  },
  h4: {
    fontFamily: fontFamily,
    fontWeight: 300,
    fontSize: '1rem',
    fontStretch: 'normal',
    fontStyle: 'normal',
    lineHeight: 'normal',
    letterSpacing: 'normal'
  },
  h5: {
    fontFamily: fontFamily,
    fontWeight: 500,
    fontSize: '0.875rem',
    fontStretch: 'normal',
    fontStyle: 'normal',
    lineHeight: 'normal',
    letterSpacing: 'normal'
  },
  h6: {
    fontFamily: fontFamily,
    fontWeight: 500,
    fontSize: '0.75rem',
    fontStretch: 'normal',
    fontStyle: 'normal',
    lineHeight: 'normal',
    letterSpacing: 'normal'
  },
  button: {
    fontFamily: fontFamily,
    fontWeight: 500,
    fontSize: '0.875rem',
    fontStretch: 'normal',
    fontStyle: 'normal',
    lineHeight: '1.75',
    letterSpacing: 'normal'
  },
  caption: {
    fontFamily: fontFamily,
    fontWeight: 400,
    fontSize: '0.75rem',
    fontStretch: 'normal',
    fontStyle: 'normal',
    lineHeight: 'normal',
    letterSpacing: 'normal'
  },
  overline: {
    fontFamily: fontFamily,
    fontWeight: 400,
    fontSize: '0.75rem',
    lineHeight: 2.66,
    letterSpacing: 'normal'
  }
};
exports.typography = typography;
var zIndex = {
  mobileStepper: 1000,
  speedDial: 1050,
  appBar: 1100,
  drawer: 1200,
  modal: 3000000000,
  snackbar: 1400,
  tooltip: 1500
};
exports.zIndex = zIndex;